- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotRecycleBinPolicy/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotRecycleBinPolicy/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotRecycleBinPolicy/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotRecycleBinPolicy/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotRecycleBinPolicy/get#body.SnapshotRecycleBinPolicy.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotRecycleBinPolicy/get#body.SnapshotRecycleBinPolicy.SCHEMA_REPRESENTATION.rules.map_entry1.value.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotRecycleBinPolicy/get#body.SnapshotRecycleBinPolicy.SCHEMA_REPRESENTATION.system_rules.map_entry1.value.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotRecycleBinPolicy/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotRecycleBinPolicy/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotRecycleBinPolicy/get#try-it)

Returns the specified SnapshotRecycleBinPolicy.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/global/snapshotRecycleBinPolicy`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |

### Request body

The request body must be empty.

### Response body

Represents the singleton resource Snapshot Recycle Bin Policy that configures the retention duration for snapshots in the recycle bin.

You can configure the retention duration for snapshots in the recycle bin at the project or organization level. If you configure the policy at the organization level, all projects in that organization will share the same policy. If you configure the policy at the project level it will be merged with org level policy (if any) and the snapshots in that project will use that policy.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "rules": { string: { "standardSnapshots": { "retentionDurationDays": string } }, ... }, "systemRules": { string: { "standardSnapshots": { "retentionDurationDays": string } }, ... } } ``` |

| Fields ||
|---|---|
| `rules[]` | `map (key: string, value: object)` The rules for the snapshot recycle bin policy. The key is either 'default' or namespacedName of the TagValue which can be in the format: `{organizationId}/{tag_key_short_name}/{tag_value_short_name}` or `{projectId}/{tag_key_short_name}/{tag_value_short_name}` or `{projectNumber}/{tag_key_short_name}/{tag_value_short_name}`. The default rule is applied if snapshots do not have any of these tags. The value is the rule for the key. |
| `rules[].standardSnapshots` | `object` The rule config for standard snapshots. |
| `rules[].standardSnapshots.retentionDurationDays` | `string (https://developers.google.com/discovery/v1/type-format format)` The retention duration for snapshots in the recycle bin after which the snapshots are automatically deleted from recycle bin. |
| `systemRules[]` | `map (key: string, value: object)` Output only. The system rules for snapshot recycle bin policy. Defines the default rule that applies if no customer-defined rule matches. |
| `systemRules[].standardSnapshots` | `object` The rule config for standard snapshots. |
| `systemRules[].standardSnapshots.retentionDurationDays` | `string (https://developers.google.com/discovery/v1/type-format format)` The retention duration for snapshots in the recycle bin after which the snapshots are automatically deleted from recycle bin. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.snapshotRecycleBinPolicy.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).